aboutsummaryrefslogtreecommitdiff
path: root/sh
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2020-04-28 13:14:09 +1200
committerTom Ryder <tom@sanctum.geek.nz>2020-04-28 13:14:09 +1200
commit75a516665b1cc16e6824f0f4912d2a7d4bab7088 (patch)
tree3c8d0b436b1fd4f9d63b5732ada5efeca4fc04c4 /sh
parentMerge branch 'release/v8.21.0' (diff)
downloaddotfiles-75a516665b1cc16e6824f0f4912d2a7d4bab7088.tar.gz
dotfiles-75a516665b1cc16e6824f0f4912d2a7d4bab7088.zip
Correct misplaced `exit` call in .profile.d file
This was closing my connection immediately when I logged in interactively to any machine without systemd!
Diffstat (limited to 'sh')
-rw-r--r--sh/profile.d/systemd.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/sh/profile.d/systemd.sh b/sh/profile.d/systemd.sh
index 3c8bf04c..a6e1b707 100644
--- a/sh/profile.d/systemd.sh
+++ b/sh/profile.d/systemd.sh
@@ -1,4 +1,4 @@
# If systemctl is installed, use $VISUAL as its editor, not $EDITOR
-command -v systemctl >/dev/null 2>&1 || exit
+command -v systemctl >/dev/null 2>&1 || return
SYSTEMD_EDITOR=$VISUAL
export SYSTEMD_EDITOR